data:extend({
  {
    type = "solar-panel",
    name = "solar-panel-mk2",
    icon = "__Electricity_XyLe__/graphics/solar-panel-mk2-icon.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-mk2"},
    max_health = 200,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
    	type = "electric",
    	usage_priority = "solar"
    },
    picture =
    {
    	filename = "__Electricity_XyLe__/graphics/solar-panel-mk2.png",
    	priority = "high",
    	width = 104,
    	height = 96
    },
    production = "240kW"
  },

  {
    type = "solar-panel",
    name = "solar-panel-mk3",
    icon = "__Electricity_XyLe__/graphics/solar-panel-mk3-icon.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-mk3"},
    max_health = 300,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
    	type = "electric",
    	usage_priority = "solar"
    },
    picture =
    {
    	filename = "__Electricity_XyLe__/graphics/solar-panel-mk3.png",
    	priority = "high",
    	width = 104,
    	height = 96
    },
    production = "960kW"
  },
  {
    type = "solar-panel",
    name = "solar-panel-mk4",
    icon = "__Electricity_XyLe__/graphics/solar-panel-mk4-icon.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-mk4"},
    max_health = 400,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
    	type = "electric",
    	usage_priority = "solar"
    },
    picture =
    {
    	filename = "__Electricity_XyLe__/graphics/solar-panel-mk4.png",
    	priority = "high",
    	width = 104,
    	height = 96
    },
    production = "3840kW"
  },
  {
    type = "solar-panel",
    name = "solar-panel-mk5",
    icon = "__Electricity_XyLe__/graphics/solar-panel-mk5-icon.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-mk5"},
    max_health = 500,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
        type = "electric",
        usage_priority = "solar"
    },
    picture =
    {
        filename = "__Electricity_XyLe__/graphics/solar-panel-mk5.png",
        priority = "high",
        width = 104,
        height = 96
    },
    production = "15360kW"
  },
  {
    type = "solar-panel",
    name = "solar-panel-mk6",
    icon = "__Electricity_XyLe__/graphics/solar-panel-mk6-icon.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-mk6"},
    max_health = 600,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
    	type = "electric",
    	usage_priority = "solar"
    },
    picture =
    {
    	filename = "__Electricity_XyLe__/graphics/solar-panel-mk6.png",
    	priority = "high",
    	width = 104,
    	height = 96
    },
    production = "61440kW"
  },

})