data:extend({
  {
    type = "technology",
    name = "electric-energy-accumulators-2",
    icon = "__Electricity_XyLe__/graphics/accumulator-mk2-tech.png",
	icon_size = 128,
    prerequisites = {"electric-energy-accumulators-1"},
    upgrade = true,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "accumulator-mk2"
      }
    },
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1}
      },
      time = 60
    },
    order = "c-e-a[2]",
  },

  {
    type = "technology",
    name = "electric-energy-accumulators-3",
    icon = "__Electricity_XyLe__/graphics/accumulator-mk3-tech.png",
	icon_size = 128,
    prerequisites = {"electric-energy-accumulators-2"},
    upgrade = true,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "accumulator-mk3"
      }
    },
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1}
      },
      time = 90
    },
    order = "c-e-a[3]",
  },
  
  {
    type = "technology",
    name = "electric-energy-accumulators-4",
    icon = "__Electricity_XyLe__/graphics/accumulator-mk4-tech.png",
	icon_size = 128,
    prerequisites = {"electric-energy-accumulators-3"},
    upgrade = true,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "accumulator-mk4"
      }
    },
    unit =
    {
      count = 300,
      ingredients =
      {
        {"science-pack-1", 4},
        {"science-pack-2", 2},
        {"science-pack-3", 2},
        {"alien-science-pack", 1}
      },
      time = 120
    },
    order = "c-e-a[4]",
  },
  
  
  {
    type = "technology",
    name = "electric-energy-accumulators-5",
    icon = "__Electricity_XyLe__/graphics/accumulator-mk5-tech.png",
  icon_size = 128,
    prerequisites = {"electric-energy-accumulators-4"},
    upgrade = true,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "accumulator-mk5"
      }
    },
    unit =
    {
      count = 500,
      ingredients =
      {
        {"science-pack-1", 8},
        {"science-pack-2", 6},
        {"science-pack-3", 4},
        {"alien-science-pack", 2}
      },
      time = 120
    },
    order = "c-e-a[5]",
  },

  {
    type = "technology",
    name = "electric-energy-accumulators-6",
    icon = "__Electricity_XyLe__/graphics/accumulator-mk6-tech.png",
	icon_size = 128,
    prerequisites = {"electric-energy-accumulators-5"},
    upgrade = true,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "accumulator-mk6"
      }
    },
    unit =
    {
      count = 600,
      ingredients =
      {
        {"science-pack-1", 12},
        {"science-pack-2", 8},
        {"science-pack-3", 6},
        {"alien-science-pack", 4}
      },
      time = 180
    },
    order = "c-e-a[6]",
  },
  
})