data:extend({
  {
    type = "technology",
    name = "solar-energy-2",
    icon = "__Electricity_XyLe__/graphics/solar-energy-t2-tech.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-mk2"
      }
    },
    prerequisites = {"solar-energy"},
    upgrade = true,
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1}
      },
      time = 45
    },
    order = "a-h-d",
  },

  {
    type = "technology",
    name = "solar-energy-3",
    icon = "__Electricity_XyLe__/graphics/solar-energy-t3-tech.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-mk3"
      }
    },
    prerequisites = {"solar-energy-2"},
    upgrade = true,
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1}
      },
      time = 60
    },
    order = "a-h-d",
  },

  {
    type = "technology",
    name = "solar-energy-4",
    icon = "__Electricity_XyLe__/graphics/solar-energy-t4-tech.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-mk4"
      }
    },
    prerequisites = {"solar-energy-3"},
    upgrade = true,
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 4},
        {"science-pack-2", 2},
        {"science-pack-3", 2},
        {"alien-science-pack", 1}
      },
      time = 90
    },
    order = "a-h-d",
  },

  {
    type = "technology",
    name = "solar-energy-5",
    icon = "__Electricity_XyLe__/graphics/solar-energy-t5-tech.png",
  icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-mk5"
      }
    },
    prerequisites = {"solar-energy-4"},
    upgrade = true,
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 8},
        {"science-pack-2", 6},
        {"science-pack-3", 4},
        {"alien-science-pack", 2}
      },
      time = 120
    },
    order = "a-h-d",
  },

  {
    type = "technology",
    name = "solar-energy-6",
    icon = "__Electricity_XyLe__/graphics/solar-energy-t6-tech.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-mk6"
      }
    },
    prerequisites = {"solar-energy-5"},
    upgrade = true,
    unit =
    {
      count = 300,
      ingredients =
      {
        {"science-pack-1", 12},
        {"science-pack-2", 8},
        {"science-pack-3", 6},
        {"alien-science-pack", 4}
      },
      time = 180
    },
    order = "a-h-d",
  },
  
})
